# babel-plugin-transform-pipe-operator

Adds a pipe operator to call pure, synchronous transformer functions within JSX expressions.

## Example

From

```
const Shout = ({ name }) => {
  return (
    <div>YO, { name | toUpperCase }!</div>
  )
};
```

To

```
const Shout = ({ name }) => {
  return (
    <div>YO, { toUpperCase(name) }!</div>
  )
};
```
